import request from '@/utils/request'

// 查询质量月报S5001列表
export function listS5001(query) {
  return request({
    url: '/production/s5001/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S5001详细
export function getS5001(id) {
  return request({
    url: '/production/s5001/' + id,
    method: 'get'
  })
}

// 新增质量月报S5001
export function addS5001(data) {
  return request({
    url: '/production/s5001',
    method: 'post',
    data: data
  })
}

// 修改质量月报S5001
export function updateS5001(data) {
  return request({
    url: '/production/s5001',
    method: 'put',
    data: data
  })
}

// 删除质量月报S5001
export function delS5001(id) {
  return request({
    url: '/production/s5001/' + id,
    method: 'delete'
  })
}

// 导出质量月报S5001
export function exportS5001(query) {
  return request({
    url: '/production/s5001/export',
    method: 'get',
    params: query
  })
}